Bug 27561 - Remove type attribute from script tags: Various templates
Summary: Remove type attribute from script tags: Various templates
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 22956
  Show dependency treegraph
 
Reported: 2021-01-27 12:48 UTC by Owen Leonard
Modified: 2021-02-11 21:49 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.03,20.05.09


Attachments
Bug 27561: Remove type attribute from script tags: Various templates (12.54 KB, patch)
2021-01-27 12:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27561: Remove type attribute from script tags: Various templates (12.60 KB, patch)
2021-01-29 18:22 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 27561: Remove type attribute from script tags: Various templates (12.65 KB, patch)
2021-01-31 12:44 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-01-27 12:48:42 UTC
The following templates still have "<script type="text/javascript">" instead of "<script>"

about.tt
auth.tt
clubs/patron-clubs-tab.tt
clubs/patron-enroll.tt
common/patron_search.tt
course_reserves/course.tt
intranet-main.tt
members/members-update.tt
members/update-child.tt
offline_circ/process_koc.tt
serials/acqui-search-result.tt
serials/result.tt
serials/routing-preview-slip.tt
serials/subscription-renew.tt
tools/batchMod-del.tt
tools/batchMod-edit.tt
tools/inventory.tt
Comment 1 Owen Leonard 2021-01-27 12:58:23 UTC
Created attachment 115882 [details] [review]
Bug 27561: Remove type attribute from script tags: Various templates

This patch replaces remaining instances of <script type="javascript"> in
templates with "<script>."

To test, apply the patch and check the changes to the template. Verify
that the changes look correct.
Comment 2 Lucas Gass 2021-01-29 18:22:01 UTC
Created attachment 116069 [details] [review]
Bug 27561: Remove type attribute from script tags: Various templates

This patch replaces remaining instances of <script type="javascript"> in
templates with "<script>."

To test, apply the patch and check the changes to the template. Verify
that the changes look correct.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2021-01-31 12:44:44 UTC
Created attachment 116093 [details] [review]
Bug 27561: Remove type attribute from script tags: Various templates

This patch replaces remaining instances of <script type="javascript"> in
templates with "<script>."

To test, apply the patch and check the changes to the template. Verify
that the changes look correct.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-02-01 16:27:23 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-02-05 15:53:06 UTC Comment hidden (obsolete)
Comment 6 Fridolin Somers 2021-02-05 15:54:08 UTC
Pushed to 20.11.x for 20.11.03
Comment 7 Andrew Fuerste-Henry 2021-02-09 21:06:02 UTC
Pushed to 20.05.x for 20.05.09
Comment 8 Victor Grousset/tuxayo 2021-02-11 02:57:14 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.